# Add a Receive Account

You can add receive accounts for users with receive type bank or wallet. You will have to also provide the recipient account information. Please note that you can only deposit business payment transactions to bank accounts.

#### `POST /users/{{user_id}}/receive-users/{{receiveUserId}}/accounts`

{% tabs %}
{% tab title="Request Parameters" %}
**Wallet**

|                |              |          |                                                                                              |
| -------------- | ------------ | -------- | -------------------------------------------------------------------------------------------- |
| **Field**      | **Required** | **Type** | **Description**                                                                              |
| msisdn         | Yes          | String   | Receive user wallet account number                                                           |
| wallet\_type   | No           | String   | Enumerated value, Type of receive user wallet: 1. Available value: TEL 2. Default value: TEL |
| payer\_id      | Yes          | Long     | Id of payer associated with the wallet                                                       |
| payout\_method | Yes          | String   | Enumerated value - WALLET                                                                    |

**Bank**

| **Field**        | **Required** | **Type**      | **Description**                                    |
| ---------------- | ------------ | ------------- | -------------------------------------------------- |
| account\_number  | Yes          | Alpha-numeric | Bank account number.                               |
| account\_type    | Yes          | String        | Account type. Enumerated value - CHECKING, SAVINGS |
| bank\_id         | Yes          | numeric       | Bank ID                                            |
| branch\_id       | Yes          | numeric       | Branch ID                                          |
| branch\_location | No           | String        | Branch location                                    |
| swift\_bic\_code | No           | String        | SWIFT code of bank                                 |
| payout\_method   | Yes          | String        | Enumerated value - BANK\_DEPOSIT                   |
| {% endtab %}     |              |               |                                                    |

{% tab title="Request Sample" %}
**Wallet**

```
curl --location -g --request POST '{{url}}/users/{{user_id}}/receive-users/{{receive_user_id}}/accounts' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "msisdn" : "233543225243",
    "wallet_type" : "TEL",
    "payer_id" : "100",
    "payout_method" : "WALLET"
    }'
```

**Bank**

```
curl --location -g --request POST '{{url}}/users/{{user_id}}/receive-users/{{receiveUserId}}/accounts' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json' \
--data-raw '{
  "account_number":"99999999",
  "account_type":"SAVINGS",
  "bank_id":4,
  "branch_location":null,
  "branch_id":4,
  "payout_method":"BANK_DEPOSIT"
}'
```

{% endtab %}

{% tab title="Response Sample" %}
**Wallet**

```
{
"created_at": "2021-12-07T09:16:33.947037",
"id": UUID,
"msisdn": "233543225243",
"payout_method": "WALLET",
"status": "VERIFIED",
"user_id": UUID,
"wallet_type": "TEL"
}
```

**Bank**

```
{
    "account_number": "99999999",
    "account_type": "SAVINGS",
    "bank_id": 4,
    "branch_id": 4,
    "created_at": "2021-12-01T03:14:54.481686",
    "id": UUID,
    "payout_method": "BANK_DEPOSIT",
    "status": "UNVERIFIED",
    "user_id": UUID
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/funds/add-a-receive-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
